> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apexscore.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List



## OpenAPI

````yaml api-reference/openapi.yaml get /api/v1/reports/
openapi: 3.0.3
info:
  title: API v1 Public
  version: 1.4.2
  description: >+


    Apex API functions and available endpoints.


    To authenticate, use the `Token` value from the `auth/login` endpoint in the
    Authorize dialog.

  license:
    name: Proprietary to Emotive Technologies Inc.
servers:
  - url: https://api.main.apexscore.ai
security: []
paths:
  /api/v1/reports/:
    get:
      tags:
        - Reports
      summary: List
      operationId: reports_list
      parameters:
        - in: query
          name: group_by
          schema:
            type: string
            enum:
              - portfolio.name
              - portfolio_id
        - in: query
          name: issued_at_after
          schema:
            type: string
            format: date-time
        - in: query
          name: issued_at_before
          schema:
            type: string
            format: date-time
        - in: query
          name: mona_version__audience_type
          schema:
            type: integer
            enum:
              - 0
              - 1
              - 2
              - 3
              - 4
              - 5
          description: |-
            * `0` - None
            * `1` - Customers
            * `2` - Employees
            * `3` - Donors
            * `4` - Media
            * `5` - Gathering 2024 Lecturees
        - in: query
          name: name
          schema:
            type: string
        - in: query
          name: only_comparable
          schema:
            type: boolean
          description: >-
            Set to true to only include Reports that are comparable at this time
            (which excludes sample reports and those marked for non-comparison
            or incomplete), and only their Configurations that are comparable
            and completed with a result.
        - name: ordering
          required: false
          in: query
          description: Which field to use when ordering the results.
          schema:
            type: string
        - name: page
          required: false
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: page_size
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - in: query
          name: portfolio_id__in
          schema:
            type: array
            items:
              type: string
              format: uuid
          description: Multiple values may be separated by commas.
          explode: false
          style: form
        - in: query
          name: tags
          schema:
            type: array
            items:
              type: string
              nullable: true
              enum:
                - competitive
                - industry
                - none
                - segment
          description: |-
            * `competitive` - Competitive
            * `segment` - Segment
            * `industry` - Industry
            * `none` - None
          explode: true
          style: form
      responses:
        '200':
          description: No response body
      security:
        - tokenAuth: []
components:
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer

````